## martchus-qtforkawesome 0.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.3.0 FATAL_ERROR)

# meta data
set(META_PROJECT_NAME qtforkawesome)
set(META_APP_AUTHOR "Martchus")
set(META_APP_URL "https://github.com/${META_APP_AUTHOR}/${META_PROJECT_NAME}")
set(META_VERSION_MAJOR 0)
set(META_VERSION_MINOR 0)
set(META_VERSION_PATCH 3)
set(META_APP_VERSION ${META_VERSION_MAJOR}.${META_VERSION_MINOR}.${META_VERSION_PATCH})
set(META_VERSION_EXACT_SONAME ON) # while still on 0.x.x release
set(META_PUBLIC_QT_MODULES Core Gui)
set(META_ADD_DEFAULT_CPP_UNIT_TEST_APPLICATION OFF)

project(${META_PROJECT_NAME})
enable_testing()

# find c++utilities and qtutilities
set(CONFIGURATION_PACKAGE_SUFFIX
    ""
    CACHE STRING "sets the suffix for c++utilities")
set(CONFIGURATION_PACKAGE_SUFFIX_QTUTILITIES
    "${CONFIGURATION_PACKAGE_SUFFIX}"
    CACHE STRING "sets the suffix for qtutilities")
set(CONFIGURATION_PACKAGE_SUFFIX_QTFORKAWESOME
    "${CONFIGURATION_PACKAGE_SUFFIX_QTUTILITIES}"
    CACHE STRING "sets the suffix for qtforkawesome")
set(PACKAGE_NAMESPACE
    ""
    CACHE STRING "sets the namespace (prefix) for find_package() calls to packages configured via c++utilities")
if (PACKAGE_NAMESPACE)
  set(PACKAGE_NAMESPACE_PREFIX "${PACKAGE_NAMESPACE}-")
endif ()
find_package(${PACKAGE_NAMESPACE_PREFIX}c++utilities${CONFIGURATION_PACKAGE_SUFFIX} 5.5.0 REQUIRED)
find_package(${PACKAGE_NAMESPACE_PREFIX}qtutilities${CONFIGURATION_PACKAGE_SUFFIX_QTUTILITIES} 6.3.0 REQUIRED)

add_subdirectory(${META_PROJECT_NAME})
set(${PACKAGE_NAMESPACE_PREFIX}${META_PROJECT_NAME}${CONFIGURATION_PACKAGE_SUFFIX_QTFORKAWESOME}_DIR "${CMAKE_CURRENT_BINARY_DIR}/${META_PROJECT_NAME}")
add_subdirectory(iconengineplugin)

option(ENABLE_QT_QUICK_LIBRARY "enables building the library for Qt Quick integration" ON)
if (ENABLE_QT_QUICK_LIBRARY)
    add_subdirectory(qtquickforkawesome)
endif ()

=== qtforkawesome/CMakeLists.txt ===
# additional meta data
set(META_PROJECT_VARNAME QT_FORK_AWESOME)
set(META_APP_NAME "Qt ForkAwesome")
set(META_APP_DESCRIPTION "Library that bundles ForkAwesome for use within Qt applications")

# add project files
set(HEADER_FILES renderer.h icon.h iconfwd.h utils.h)
set(SRC_FILES renderer.cpp utils.cpp)
set(QT_TESTS renderer)
set(DOC_FILES ../README.md)

# find/download ForkAwesome's font file and icon definitions
set(FORK_AWESOME_VERSION
    "1.2.0"
    CACHE STRING "specifies the version of ForkAwesome")
set(FORK_AWESOME_REPO_URL "https://raw.githubusercontent.com/ForkAwesome/Fork-Awesome/${FORK_AWESOME_VERSION}")
if (LINUX)
    set(FORK_AWESOME_FONT_FORMAT "woff2")
else ()
    set(FORK_AWESOME_FONT_FORMAT "ttf")
endif ()
set(FORK_AWESOME_FONT_FILE
    "${FORK_AWESOME_REPO_URL}/fonts/forkawesome-webfont.${FORK_AWESOME_FONT_FORMAT}"
    CACHE STRING "specifies the location of ForkAwesome's font file")
set(FORK_AWESOME_ICON_DEFINITIONS
    "${FORK_AWESOME_REPO_URL}/src/icons/icons.yml"
    CACHE STRING "specifies the location of ForkAwesome's icon definitions file")
set(DOWNLOAD_DIR "${CMAKE_CURRENT_BINARY_DIR}/download")
file(MAKE_DIRECTORY "${DOWNLOAD_DIR}")
function (checkout_file VARIABLE)
    if ("${${VARIABLE}}" MATCHES "http(s)?:.+")
        get_filename_component(FILE_NAME "${${VARIABLE}}" NAME)
        if (NOT EXISTS "${DOWNLOAD_DIR}/${FILE_NAME}")
            message(STATUS "Downloading ${${VARIABLE}}")
            file(DOWNLOAD "${${VARIABLE}}" "${DOWNLOAD_DIR}/${FILE_NAME}" SHOW_PROGRESS)
        endif ()
        set("${VARIABLE}"
            "${DOWNLOAD_DIR}/${FILE_NAME}"
            PARENT_SCOPE)
    elseif (NOT EXISTS "${${VARIABLE}}")
        message(FATAL_ERROR "${VARIABLE} is set to \"${${VARIABLE}}\" which does not exist.")
    endif ()
endfunction ()
checkout_file(FORK_AWESOME_FONT_FILE)
checkout_file(FORK_AWESOME_ICON_DEFINITIONS)

# configure font file
get_filename_component(META_FONT_FILE_NAME "${FORK_AWESOME_FONT_FILE}" NAME)
set(META_CUSTOM_CONFIG
    "#define META_FONT_FILE_NAME \"${META_FONT_FILE_NAME}\"\n#define META_FORK_AWESOME_VERSION \"${FORK_AWESOME_VERSION}\"\n"
)
set(RES_FILE_PATH "${CMAKE_CURRENT_BINARY_DIR}/${META_PROJECT_NAME}_font.qrc")
set(RES_FILE_DATA "<RCC><qresource prefix=\"/\"><file>${META_FONT_FILE_NAME}</file></qresource></RCC>")
if (CMAKE_VERSION VERSION_GREATER_EQUAL "3.14")
    file(CREATE_LINK "${FORK_AWESOME_FONT_FILE}" "${CMAKE_CURRENT_BINARY_DIR}/${META_FONT_FILE_NAME}" SYMBOLIC)
else ()
    file(COPY "${FORK_AWESOME_FONT_FILE}" DESTINATION "${CMAKE_CURRENT_BINARY_DIR}")
endif ()
file(WRITE "${RES_FILE_PATH}" "${RES_FILE_DATA}")
list(APPEND RES_FILES "${RES_FILE_PATH}")

# create rule for generating header file
find_program(PERL perl)
set(GENERATED_HEADERS_PATH "${CMAKE_CURRENT_BINARY_DIR}/headers")
set(ICONS_HEADER_FILE "${GENERATED_HEADERS_PATH}/private/icons.h")
set(ID_MAPPING_HEADER_FILE "${GENERATED_HEADERS_PATH}/private/idmapping.h")
file(MAKE_DIRECTORY "${GENERATED_HEADERS_PATH}/private")
list(APPEND SRC_FILES "${ICONS_HEADER_FILE}" "${ID_MAPPING_HEADER_FILE}")
set(META_TIDY_EXCLUDE_REGEX ".*/headers/private.*")
add_custom_command(
    OUTPUT "${ICONS_HEADER_FILE}" "${ID_MAPPING_HEADER_FILE}"
    COMMAND "${PERL}" "${CMAKE_CURRENT_SOURCE_DIR}/scripts/yaml2enum.pl" "${FORK_AWESOME_ICON_DEFINITIONS}"
            "${ICONS_HEADER_FILE}" "${ID_MAPPING_HEADER_FILE}"
    DEPENDS "${FORK_AWESOME_ICON_DEFINITIONS}"
    COMMENT "Icon header")

# exclude generated files from being processed by Qt's tools (see CMP0071)
if (CMAKE_VERSION VERSION_GREATER_EQUAL "3.8")
    foreach (GENERATED_FILE ${ID_MAPPING_HEADER_FILE} ${ICONS_HEADER_FILE})
        set_property(SOURCE "${GENERATED_FILE}" PROPERTY SKIP_AUTOGEN ON)
    endforeach ()
endif ()

# use headers and CMake modules from c++utilities and qtutilities
use_cpp_utilities(ONLY_HEADERS VISIBILITY PUBLIC)
use_qt_utilities(ONLY_HEADERS VISIBILITY PRIVATE)

# use Qt Gui module
list(APPEND ADDITIONAL_QT_MODULES Gui)

# include modules to apply configuration
include(BasicConfig)
include(QtConfig)
include(WindowsResources)
include(LibraryTarget)
include(Doxygen)
include(ConfigHeader)

# configure test target
include(TestUtilities)
set(QT_TEST_LIBRARIES ${CPP_UTILITIES_LIB} ${META_TARGET_NAME})
use_qt_module(LIBRARIES_VARIABLE "QT_TEST_LIBRARIES" PREFIX "${QT_PACKAGE_PREFIX}" MODULE "Test")
foreach (TEST ${QT_TESTS})
    configure_test_target(TEST_NAME "${TEST}_tests" SRC_FILES "tests/${TEST}.cpp" LIBRARIES "${QT_TEST_LIBRARIES}")
endforeach ()

# ensure generated header can be found during build
target_include_directories(${META_TARGET_NAME} PUBLIC $<BUILD_INTERFACE:${GENERATED_HEADERS_PATH}>)

# install generated header
install(
    FILES "${ICONS_HEADER_FILE}"
    DESTINATION "${INCLUDE_SUBDIR}/${META_PROJECT_NAME}/private"
    COMPONENT header)

=== qtquickforkawesome/CMakeLists.txt ===
# additional meta data
set(META_PROJECT_NAME qtquickforkawesome)
set(META_PROJECT_VARNAME QT_QUICK_FORK_AWESOME)
set(META_APP_NAME "QQuickImageProvider for ForkAwesome")
set(META_APP_DESCRIPTION "QQuickImageProvider for ForkAwesome")

# add project files
set(HEADER_FILES imageprovider.h)
set(SRC_FILES imageprovider.cpp)
set(DOC_FILES ../README.md)

# use headers and CMake modules from c++utilities and qtutilities
use_cpp_utilities(ONLY_HEADERS VISIBILITY PUBLIC)
use_qt_utilities(ONLY_HEADERS VISIBILITY PRIVATE)

if (NAMESPACE)
    set(NAMESPACE_PREFIX "${NAMESPACE}-")
endif ()

# use main qtforkawesome library
find_package(${NAMESPACE_PREFIX}qtforkawesome${CONFIGURATION_PACKAGE_SUFFIX_QTFORKAWESOME} ${META_APP_VERSION} REQUIRED)
use_qt_fork_awesome()

# use Qt Gui module
list(APPEND ADDITIONAL_QT_MODULES Gui Quick)

# include modules to apply configuration
include(BasicConfig)
include(QtConfig)
include(WindowsResources)
include(LibraryTarget)
include(Doxygen)
include(ConfigHeader)

=== debian/changelog ===
martchus-qtforkawesome (0.0.3-2) unstable; urgency=medium

  * Require fonts-fork-awesome (>= 1.1.5+ds1-2.1~) to prevent FTBFS when
    backporting.
  * Use unversioned libmartchus-c++utilities-dev and
    libmartchus-qtutilities-dev.

 -- Nicholas D Steeves <sten@debian.org>  Wed, 04 May 2022 16:11:55 -0400

martchus-qtforkawesome (0.0.3-1) unstable; urgency=medium

  [ Hannah Rittich and Nicholas D Steeves ]
  * Initial release. Closes: #1008958

 -- Nicholas D Steeves <sten@debian.org>  Sun, 01 May 2022 15:55:48 -0400

=== debian/control ===
Source: martchus-qtforkawesome
Section: libs
Priority: optional
Maintainer: Hannah Rittich <void@rittich.net>
Uploaders: Nicholas D Steeves <sten@debian.org>
Build-Depends: debhelper-compat (= 13),
 cmake,
 libmartchus-c++utilities-dev,
 libmartchus-qtutilities-dev,
 qtdeclarative5-dev,
 qttranslations5-l10n,
 doxygen,
 libyaml-perl,
 fonts-fork-awesome (>= 1.1.5+ds1-2.1~)
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://github.com/Martchus/qtforkawesome
Vcs-Browser: https://salsa.debian.org/debian/martchus-qtforkawesome
Vcs-Git: https://salsa.debian.org/debian/martchus-qtforkawesome.git

Package: libmartchus-qtforkawesome0.0.3
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: C++ library that conveniently enables the use of Fork Awesome in Qt
 Qt ForkAwesome is a C++ library that conveniently enables the use of Fork
 Awesome in Qt applications.  Qt ForkAwesome enumerates and encodes Fork
 Awesome as Qt resources, it provides an 'enum' of the icon-font definitions,
 and it enables font glyphs to be used in cases where Qt requires traditional
 icons.  Qt ForkAwesome uses FreeType to render, hint, and antialias
 icon-fonts.
 .
 Refer to the description of fonts-fork-awesome for more information about
 icon-fonts.

Package: libmartchus-qtforkawesome-dev
Section: libdevel
Architecture: any
Multi-Arch: no
Depends: ${misc:Depends}, libmartchus-qtforkawesome0.0.3 (= ${binary:Version}),
 libmartchus-c++utilities-dev, libmartchus-qtutilities-dev
Description: library that conveniently enables the use of Fork Awesome in Qt (headers)
 Qt ForkAwesome is a C++ library that conveniently enables the use of Fork
 Awesome in Qt applications.  Qt ForkAwesome enumerates and encodes Fork
 Awesome as Qt resources, it provides an 'enum' of the icon-font definitions,
 and it enables font glyphs to be used in cases where Qt requires traditional
 icons.  Qt ForkAwesome uses FreeType to render, hint, and antialias
 icon-fonts.
 .
 Refer to the description of fonts-fork-awesome for more information about
 icon-fonts.
 .
 This is the development package of libmartchus-qtforkawesome.  Please note
 that, at this time, Qt ForkAwesome's ABI changes with every release.

=== debian/watch ===
version=4
https://github.com/Martchus/qtforkawesome/releases /Martchus/qtforkawesome/archive/refs/tags/v(.+)\.tar\.gz

## martchus-qtforkawesome 0.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,10 +5,10 @@
 set(META_APP_AUTHOR "Martchus")
 set(META_APP_URL "https://github.com/${META_APP_AUTHOR}/${META_PROJECT_NAME}")
 set(META_VERSION_MAJOR 0)
-set(META_VERSION_MINOR 0)
-set(META_VERSION_PATCH 3)
+set(META_VERSION_MINOR 1)
+set(META_VERSION_PATCH 0)
 set(META_APP_VERSION ${META_VERSION_MAJOR}.${META_VERSION_MINOR}.${META_VERSION_PATCH})
-set(META_VERSION_EXACT_SONAME ON) # while still on 0.x.x release
+set(META_SOVERSION 1)
 set(META_PUBLIC_QT_MODULES Core Gui)
 set(META_ADD_DEFAULT_CPP_UNIT_TEST_APPLICATION OFF)

=== iconengineplugin/CMakeLists.txt ===
# additional meta data
set(META_PROJECT_NAME qtforkawesomeiconengine)
set(META_PROJECT_VARNAME QT_FORK_AWESOME_ICON_ENGINE)
set(META_APP_NAME "QIconEngine for ForkAwesome")
set(META_APP_DESCRIPTION "QIconEngine for ForkAwesome")
set(META_PROJECT_TYPE qtplugin)
set(META_PLUGIN_CATEGORY iconengines)

set(HEADER_FILES iconengine.h)
set(SRC_FILES iconengine.cpp main.cpp)

# use headers and CMake modules from c++utilities and qtutilities
use_cpp_utilities(ONLY_HEADERS VISIBILITY PUBLIC)
use_qt_utilities(ONLY_HEADERS VISIBILITY PRIVATE)

if (NAMESPACE)
    set(NAMESPACE_PREFIX "${NAMESPACE}-")
endif ()

# use main qtforkawesome library
find_package(${NAMESPACE_PREFIX}qtforkawesome${CONFIGURATION_PACKAGE_SUFFIX_QTFORKAWESOME} ${META_APP_VERSION} REQUIRED)
use_qt_fork_awesome()

# use Qt Gui module
list(APPEND ADDITIONAL_QT_MODULES Gui)

# configure styling support
option(ENABLE_STYLE_SUPPORT "whether to apply icon mode via QStyle (pulls in Qt Widgets dependency)" OFF)
if (ENABLE_STYLE_SUPPORT)
    list(APPEND ADDITIONAL_QT_MODULES Widgets)
    set(META_CUSTOM_CONFIG "#define ${META_PROJECT_VARNAME}_ENABLE_STYLE_SUPPORT 1\n")
endif ()

include(BasicConfig)
include(QtGuiConfig)
include(QtConfig)
include(WindowsResources)
include(LibraryTarget)
include(ConfigHeader)

=== qtforkawesome/CMakeLists.txt ===
--- 
+++ 
@@ -85,8 +85,9 @@
 use_cpp_utilities(ONLY_HEADERS VISIBILITY PUBLIC)
 use_qt_utilities(ONLY_HEADERS VISIBILITY PRIVATE)
 
-# use Qt Gui module
+# set required Qt modules and declare their use as public
 list(APPEND ADDITIONAL_QT_MODULES Gui)
+set(META_PUBLIC_QT_MODULES Core ${ADDITIONAL_QT_MODULES})
 
 # include modules to apply configuration
 include(BasicConfig)
@@ -98,7 +99,7 @@
 
 # configure test target
 include(TestUtilities)
-set(QT_TEST_LIBRARIES ${CPP_UTILITIES_LIB} ${META_TARGET_NAME})
+list(APPEND QT_TEST_LIBRARIES ${CPP_UTILITIES_LIB} ${META_TARGET_NAME})
 use_qt_module(LIBRARIES_VARIABLE "QT_TEST_LIBRARIES" PREFIX "${QT_PACKAGE_PREFIX}" MODULE "Test")
 foreach (TEST ${QT_TESTS})
     configure_test_target(TEST_NAME "${TEST}_tests" SRC_FILES "tests/${TEST}.cpp" LIBRARIES "${QT_TEST_LIBRARIES}")

=== qtquickforkawesome/CMakeLists.txt ===
--- 
+++ 
@@ -21,8 +21,9 @@
 find_package(${NAMESPACE_PREFIX}qtforkawesome${CONFIGURATION_PACKAGE_SUFFIX_QTFORKAWESOME} ${META_APP_VERSION} REQUIRED)
 use_qt_fork_awesome()
 
-# use Qt Gui module
+# set required Qt modules and declare their use as public
 list(APPEND ADDITIONAL_QT_MODULES Gui Quick)
+set(META_PUBLIC_QT_MODULES Core ${ADDITIONAL_QT_MODULES})
 
 # include modules to apply configuration
 include(BasicConfig)

=== debian/changelog ===
martchus-qtforkawesome (0.1.0-2.1build3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Apr 2024 05:40:04 +0000

martchus-qtforkawesome (0.1.0-2.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:04:16 +0000

martchus-qtforkawesome (0.1.0-2.1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:53:33 +0000

martchus-qtforkawesome (0.1.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062844

 -- Graham Inggs <ginggs@debian.org>  Thu, 29 Feb 2024 11:13:24 +0000

martchus-qtforkawesome (0.1.0-2) unstable; urgency=medium

  * Update required dependencies.
  * Drop Hannah Rittich, who has been MIA for two years, from Uploaders.
  * Update my copyright years.
  * Update standards version to 4.6.2 (no changes required).

 -- Nicholas D Steeves <sten@debian.org>  Tue, 16 Jan 2024 18:56:15 -0500

martchus-qtforkawesome (0.1.0-1) unstable; urgency=medium

  * Upload to unstable.
  * Add Breaks and Replaces, because file path conflicts cannot ever be
    resolved with a transition; filing for a formal transition does not invoke
    magic that can solve this case.  Documentation on transitions has been
    updated to reflect this (Closes: #1024637).

 -- Nicholas D Steeves <sten@debian.org>  Thu, 08 Dec 2022 14:20:39 -0500

martchus-qtforkawesome (0.1.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Rename libmartchus-qtforkawesome0.0.3 to
    libmartchus-qtforkawesome1 for ABI bump.
  * Drop patches that were merged upstream:
    0001-Clarify-that-license-is-GPL-2-or-later.patch
    0002-Add-copyright-notice.patch.
  * Fix watch file, because Github broke the releases mechanism.
  * Remove unused source/local-options.
  * Declare Standards-Version 4.6.1 (no changes required).

 -- Nicholas D Steeves <sten@debian.org>  Mon, 21 Nov 2022 11:18:29 -0500

martchus-qtforkawesome (0.0.3-5) unstable; urgency=medium

  * Swap Uploader and Maintainer.  Hannah Rittich has been MIA since December
    2021.  This action will be reverted upon confirmation of intent to
    maintain martchus-qtforkawesome.
  * Require libmartchus-c++utilities-dev (>= 5.19.0-1~), as well as
    libmartchus-qtutilities-dev (>= 6.8.0-1~) to keep deps in lockstep

 -- Nicholas D Steeves <sten@debian.org>  Thu, 22 Sep 2022 17:40:11 -0400

martchus-qtforkawesome (0.0.3-4) unstable; urgency=medium

  * Rebuild with the latest libmartchus-c++utilities-dev and
    libmartchus-qtutilities-dev, and enforce this using Build-Depends.
    This action does not revert the unversioning in 0.0.3 (ie:
    libmartchus-c++utilities5-dev -> libmartchus-c++utilities-dev).

 -- Nicholas D Steeves <sten@debian.org>  Fri, 19 Aug 2022 19:48:00 -0400

martchus-qtforkawesome (0.0.3-3) unstable; urgency=medium

  * Do source-only upload.

 -- Nicholas D Steeves <sten@debian.org>  Sat, 14 May 2022 18:12:29 -0400

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,30 @@
 Source: martchus-qtforkawesome
 Section: libs
 Priority: optional
-Maintainer: Hannah Rittich <void@rittich.net>
-Uploaders: Nicholas D Steeves <sten@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Nicholas D Steeves <sten@debian.org>
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
  cmake,
- libmartchus-c++utilities-dev,
- libmartchus-qtutilities-dev,
+ libmartchus-c++utilities-dev (>= 5.24.5-1~),
+ libmartchus-qtutilities-dev (>= 6.13.4-1~),
  qtdeclarative5-dev,
  qttranslations5-l10n,
  doxygen,
  libyaml-perl,
  fonts-fork-awesome (>= 1.1.5+ds1-2.1~)
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/Martchus/qtforkawesome
 Vcs-Browser: https://salsa.debian.org/debian/martchus-qtforkawesome
 Vcs-Git: https://salsa.debian.org/debian/martchus-qtforkawesome.git
 
-Package: libmartchus-qtforkawesome0.0.3
+Package: libmartchus-qtforkawesome1t64
+Provides: ${t64:Provides}
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libmartchus-qtforkawesome1 (<< ${source:Version}), libmartchus-qtforkawesome0.0.3
+Replaces: libmartchus-qtforkawesome1, libmartchus-qtforkawesome0.0.3
 Description: C++ library that conveniently enables the use of Fork Awesome in Qt
  Qt ForkAwesome is a C++ library that conveniently enables the use of Fork
  Awesome in Qt applications.  Qt ForkAwesome enumerates and encodes Fork
@@ -37,7 +40,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: no
-Depends: ${misc:Depends}, libmartchus-qtforkawesome0.0.3 (= ${binary:Version}),
+Depends: ${misc:Depends}, libmartchus-qtforkawesome1t64 (= ${binary:Version}),
  libmartchus-c++utilities-dev, libmartchus-qtutilities-dev
 Description: library that conveniently enables the use of Fork Awesome in Qt (headers)
  Qt ForkAwesome is a C++ library that conveniently enables the use of Fork

=== debian/rules ===
#!/usr/bin/make -f
BUILD_DIR=debian/build

%:
	dh $@ --builddirectory=$(BUILD_DIR)

override_dh_auto_configure:
	dh_auto_configure --builddirectory=$(BUILD_DIR) -- \
		-DBUILD_SHARED_LIBS=ON \
		-DNAMESPACE=martchus \
		-DPACKAGE_NAMESPACE=martchus \
		-DFORK_AWESOME_FONT_FILE=/usr/share/fonts/woff/fork-awesome/forkawesome-webfont.woff2 \
		-DFORK_AWESOME_ICON_DEFINITIONS=/usr/share/fonts-fork-awesome/icons.yml

override_dh_auto_test:
	QT_QPA_PLATFORM=offscreen $(MAKE) -C $(BUILD_DIR) check

## martchus-qtforkawesome 0.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
-cmake_minimum_required(VERSION 3.3.0 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.17.0 FATAL_ERROR)
 
 # meta data
 set(META_PROJECT_NAME qtforkawesome)
 set(META_APP_AUTHOR "Martchus")
 set(META_APP_URL "https://github.com/${META_APP_AUTHOR}/${META_PROJECT_NAME}")
 set(META_VERSION_MAJOR 0)
-set(META_VERSION_MINOR 1)
+set(META_VERSION_MINOR 2)
 set(META_VERSION_PATCH 0)
 set(META_APP_VERSION ${META_VERSION_MAJOR}.${META_VERSION_MINOR}.${META_VERSION_PATCH})
 set(META_SOVERSION 1)

=== qtforkawesome/CMakeLists.txt ===
--- 
+++ 
@@ -32,7 +32,10 @@
         get_filename_component(FILE_NAME "${${VARIABLE}}" NAME)
         if (NOT EXISTS "${DOWNLOAD_DIR}/${FILE_NAME}")
             message(STATUS "Downloading ${${VARIABLE}}")
-            file(DOWNLOAD "${${VARIABLE}}" "${DOWNLOAD_DIR}/${FILE_NAME}" SHOW_PROGRESS)
+            file(
+                DOWNLOAD "${${VARIABLE}}" "${DOWNLOAD_DIR}/${FILE_NAME}"
+                SHOW_PROGRESS
+                TLS_VERIFY ON)
         endif ()
         set("${VARIABLE}"
             "${DOWNLOAD_DIR}/${FILE_NAME}"
@@ -52,6 +55,10 @@
 set(RES_FILE_PATH "${CMAKE_CURRENT_BINARY_DIR}/${META_PROJECT_NAME}_font.qrc")
 set(RES_FILE_DATA "<RCC><qresource prefix=\"/\"><file>${META_FONT_FILE_NAME}</file></qresource></RCC>")
 if (CMAKE_VERSION VERSION_GREATER_EQUAL "3.14")
+    if (CMAKE_HOST_SYSTEM_NAME STREQUAL "Windows" AND EXISTS "${CMAKE_CURRENT_BINARY_DIR}/${META_FONT_FILE_NAME}")
+        # avoid running into error when symlink already exists (should not be necassary according to docs)
+        file(REMOVE "${CMAKE_CURRENT_BINARY_DIR}/${META_FONT_FILE_NAME}")
+    endif ()
     file(CREATE_LINK "${FORK_AWESOME_FONT_FILE}" "${CMAKE_CURRENT_BINARY_DIR}/${META_FONT_FILE_NAME}" SYMBOLIC)
 else ()
     file(COPY "${FORK_AWESOME_FONT_FILE}" DESTINATION "${CMAKE_CURRENT_BINARY_DIR}")
@@ -60,7 +67,10 @@
 list(APPEND RES_FILES "${RES_FILE_PATH}")
 
 # create rule for generating header file
-find_program(PERL perl)
+find_program(PERL_BIN perl)
+if (NOT PERL_BIN)
+    message(FATAL_ERROR "Unable to find Perl, set PERL_BIN to the path of Perl's executable.")
+endif ()
 set(GENERATED_HEADERS_PATH "${CMAKE_CURRENT_BINARY_DIR}/headers")
 set(ICONS_HEADER_FILE "${GENERATED_HEADERS_PATH}/private/icons.h")
 set(ID_MAPPING_HEADER_FILE "${GENERATED_HEADERS_PATH}/private/idmapping.h")
@@ -69,7 +79,7 @@
 set(META_TIDY_EXCLUDE_REGEX ".*/headers/private.*")
 add_custom_command(
     OUTPUT "${ICONS_HEADER_FILE}" "${ID_MAPPING_HEADER_FILE}"
-    COMMAND "${PERL}" "${CMAKE_CURRENT_SOURCE_DIR}/scripts/yaml2enum.pl" "${FORK_AWESOME_ICON_DEFINITIONS}"
+    COMMAND "${PERL_BIN}" "${CMAKE_CURRENT_SOURCE_DIR}/scripts/yaml2enum.pl" "${FORK_AWESOME_ICON_DEFINITIONS}"
             "${ICONS_HEADER_FILE}" "${ID_MAPPING_HEADER_FILE}"
     DEPENDS "${FORK_AWESOME_ICON_DEFINITIONS}"
     COMMENT "Icon header")

=== debian/changelog ===
martchus-qtforkawesome (0.2.0-2) unstable; urgency=medium

  * Update required dependencies.

 -- Nicholas D Steeves <sten@debian.org>  Fri, 21 Jun 2024 22:09:49 -0400

martchus-qtforkawesome (0.2.0-1) unstable; urgency=medium

  * Acknowledge NMU.
  * New upstream release.
  * Update required dependencies.
  * Update standards version to 4.7.0 (no changes required).

 -- Nicholas D Steeves <sten@debian.org>  Mon, 06 May 2024 20:33:45 -0400

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: martchus-qtforkawesome
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Nicholas D Steeves <sten@debian.org>
+Maintainer: Nicholas D Steeves <sten@debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
  cmake,
- libmartchus-c++utilities-dev (>= 5.24.5-1~),
- libmartchus-qtutilities-dev (>= 6.13.4-1~),
+ libmartchus-c++utilities-dev (>= 5.24.9-1~),
+ libmartchus-qtutilities-dev (>= 6.14.1-1~),
  qtdeclarative5-dev,
  qttranslations5-l10n,
  doxygen,
  libyaml-perl,
  fonts-fork-awesome (>= 1.1.5+ds1-2.1~)
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/Martchus/qtforkawesome
 Vcs-Browser: https://salsa.debian.org/debian/martchus-qtforkawesome
 Vcs-Git: https://salsa.debian.org/debian/martchus-qtforkawesome.git

## martchus-qtforkawesome 0.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 set(META_APP_AUTHOR "Martchus")
 set(META_APP_URL "https://github.com/${META_APP_AUTHOR}/${META_PROJECT_NAME}")
 set(META_VERSION_MAJOR 0)
-set(META_VERSION_MINOR 2)
-set(META_VERSION_PATCH 0)
+set(META_VERSION_MINOR 3)
+set(META_VERSION_PATCH 1)
 set(META_APP_VERSION ${META_VERSION_MAJOR}.${META_VERSION_MINOR}.${META_VERSION_PATCH})
 set(META_SOVERSION 1)
 set(META_PUBLIC_QT_MODULES Core Gui)

=== qtforkawesome/CMakeLists.txt ===
--- 
+++ 
@@ -53,17 +53,22 @@
     "#define META_FONT_FILE_NAME \"${META_FONT_FILE_NAME}\"\n#define META_FORK_AWESOME_VERSION \"${FORK_AWESOME_VERSION}\"\n"
 )
 set(RES_FILE_PATH "${CMAKE_CURRENT_BINARY_DIR}/${META_PROJECT_NAME}_font.qrc")
-set(RES_FILE_DATA "<RCC><qresource prefix=\"/\"><file>${META_FONT_FILE_NAME}</file></qresource></RCC>")
-if (CMAKE_VERSION VERSION_GREATER_EQUAL "3.14")
-    if (CMAKE_HOST_SYSTEM_NAME STREQUAL "Windows" AND EXISTS "${CMAKE_CURRENT_BINARY_DIR}/${META_FONT_FILE_NAME}")
-        # avoid running into error when symlink already exists (should not be necassary according to docs)
-        file(REMOVE "${CMAKE_CURRENT_BINARY_DIR}/${META_FONT_FILE_NAME}")
+if (EXISTS "${RES_FILE_PATH}")
+    message(STATUS "Using existing \"${RES_FILE_PATH}\" for ${META_PROJECT_NAME}. "
+                   "Remove this file to force re-generation of the resource file.")
+else ()
+    set(RES_FILE_DATA "<RCC><qresource prefix=\"/\"><file>${META_FONT_FILE_NAME}</file></qresource></RCC>")
+    if (CMAKE_VERSION VERSION_GREATER_EQUAL "3.14")
+        if (CMAKE_HOST_SYSTEM_NAME STREQUAL "Windows" AND EXISTS "${CMAKE_CURRENT_BINARY_DIR}/${META_FONT_FILE_NAME}")
+            # avoid running into error when symlink already exists (should not be necassary according to docs)
+            file(REMOVE "${CMAKE_CURRENT_BINARY_DIR}/${META_FONT_FILE_NAME}")
+        endif ()
+        file(CREATE_LINK "${FORK_AWESOME_FONT_FILE}" "${CMAKE_CURRENT_BINARY_DIR}/${META_FONT_FILE_NAME}" SYMBOLIC)
+    else ()
+        file(COPY "${FORK_AWESOME_FONT_FILE}" DESTINATION "${CMAKE_CURRENT_BINARY_DIR}")
     endif ()
-    file(CREATE_LINK "${FORK_AWESOME_FONT_FILE}" "${CMAKE_CURRENT_BINARY_DIR}/${META_FONT_FILE_NAME}" SYMBOLIC)
-else ()
-    file(COPY "${FORK_AWESOME_FONT_FILE}" DESTINATION "${CMAKE_CURRENT_BINARY_DIR}")
+    file(WRITE "${RES_FILE_PATH}" "${RES_FILE_DATA}")
 endif ()
-file(WRITE "${RES_FILE_PATH}" "${RES_FILE_DATA}")
 list(APPEND RES_FILES "${RES_FILE_PATH}")
 
 # create rule for generating header file

=== debian/changelog ===
martchus-qtforkawesome (0.3.1-2) unstable; urgency=medium

  * Rebuild with latest dependencies.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Resolve lintian W: old-fsf-address-in-copyright-file by referring to
    GNU's website.

 -- Nicholas D Steeves <sten@debian.org>  Fri, 04 Apr 2025 21:35:30 -0400

martchus-qtforkawesome (0.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Update required dependencies.
  * Migrate to Qt6.
  * Update standards version to 4.7.2 (no changes required).
  * Upload to unstable.

 -- Nicholas D Steeves <sten@debian.org>  Fri, 14 Mar 2025 10:46:50 -0600

martchus-qtforkawesome (0.2.2-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update required dependencies.

 -- Nicholas D Steeves <sten@debian.org>  Tue, 19 Nov 2024 16:52:11 -0500

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Nicholas D Steeves <sten@debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
  cmake,
- libmartchus-c++utilities-dev (>= 5.24.9-1~),
- libmartchus-qtutilities-dev (>= 6.14.1-1~),
- qtdeclarative5-dev,
- qttranslations5-l10n,
+ libmartchus-c++utilities-dev (>= 5.28.0-1~),
+ libmartchus-qtutilities-dev (>= 6.15.0-1~),
+ qt6-declarative-dev,
+ qt6-translations-l10n,
  doxygen,
  libyaml-perl,
  fonts-fork-awesome (>= 1.1.5+ds1-2.1~)
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/Martchus/qtforkawesome
 Vcs-Browser: https://salsa.debian.org/debian/martchus-qtforkawesome
 Vcs-Git: https://salsa.debian.org/debian/martchus-qtforkawesome.git

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 		-DBUILD_SHARED_LIBS=ON \
 		-DNAMESPACE=martchus \
 		-DPACKAGE_NAMESPACE=martchus \
+		-DQT_PACKAGE_PREFIX=Qt6 \
 		-DFORK_AWESOME_FONT_FILE=/usr/share/fonts/woff/fork-awesome/forkawesome-webfont.woff2 \
 		-DFORK_AWESOME_ICON_DEFINITIONS=/usr/share/fonts-fork-awesome/icons.yml
